﻿using System;
using System.Text;
using System.Threading;
using MySql.Data.MySqlClient;


namespace Spicy_William
{
    class Program
    {

        static int screenWidth = 40;
        static int playerX = 18;
        static int playerY = 8;
        static int enemyX = 18; // Posición horizontal del enemigo
        static int enemyY = 2; // Posición vertical del enemigo
        static bool movingRight = true; // Dirección de movimiento del enemigo

        
        static void Main(string[] args)
        {

            
            string[] menuOptions = { "1. Jouer", "2. Options ", "3. Highscore","4. Résultats", "5. Quitter" };
            int selectedOption = 0;

            while (true)
            {
                Console.Clear();
                

                Console.WriteLine("----------------- ");
                Console.WriteLine("Spicy Invader  II ");
                Console.WriteLine("----------------- ");

                for (int i = 0; i < menuOptions.Length; i++)
                {
                    if (i == selectedOption)
                    {
                        Console.ForegroundColor = ConsoleColor.White;
                        Console.BackgroundColor = ConsoleColor.DarkMagenta;
                    }
                    else
                    {
                        Console.ForegroundColor = ConsoleColor.Gray;
                        Console.BackgroundColor = ConsoleColor.Black;
                    }

                    Console.WriteLine(menuOptions[i]);
                }

                Console.ResetColor();

                ConsoleKeyInfo keyInfo = Console.ReadKey();
                if (keyInfo.Key == ConsoleKey.UpArrow)
                {
                    selectedOption = (selectedOption - 1 + menuOptions.Length) % menuOptions.Length;
                }
                else if (keyInfo.Key == ConsoleKey.DownArrow)
                {
                    selectedOption = (selectedOption + 1) % menuOptions.Length;
                }
                else if (keyInfo.Key == ConsoleKey.Enter)
                {
                    if (selectedOption == menuOptions.Length - 1)
                    {
                        break; // Sortir du boucle
                    }
                    else
                    {
                        PerformAction(selectedOption);

                        Console.ReadKey();
                    }

                }


            }
        }


        /*Action de choisir chaque option du menu*/
        static void PerformAction(int option)
        {
            switch (option)
            {
                case 0:

                    Console.Clear();
                    SpicyInvaders();
                    break;

                case 1:
                    Console.Clear();
                    Console.WriteLine("");
                    break;
                case 2:
                    Console.Clear();
                    Highscore();
                    break;

                case 3:
                    Console.Clear();
                    Console.WriteLine("");
                    break;

            }
        }

        //static void Highscore()
        //{
        //    string connectionString = "Server=localhost;Port=6033;Database=db_space_invaders;UserId=root;Password=root;";
            

        //    using (MySqlConnection connection = new MySqlConnection(connectionString))
        //    {
        //        try
        //        {
        //            // Abrir la conexión
        //            connection.Open();

        //            // Definir una consulta SQL para seleccionar los datos de la tabla
        //            string sqlQuery = "SELECT * FROM t_joueur";

        //            // Crear un comando MySQL 
        //            using (MySqlCommand cmd = new MySqlCommand(sqlQuery, connection))
        //            {
        //                // Ejecutar la consulta y obtener un lector de datos
        //                using (MySqlDataReader reader = cmd.ExecuteReader())
        //                {
        //                    // Verificar si hay filas de datos
        //                    if (reader.HasRows)
        //                    {
        //                        // Iterar a través de las filas de datos
        //                        while (reader.Read())
        //                        {
        //                            // Acceder a los valores de las columnas por nombre o índice
        //                            int idJoueur = reader.GetInt32("idJoueur");
        //                            string jouPseudo = reader.GetString("jouPseudo");
        //                            int jouNombrePoints = reader.GetInt32("Score");

        //                            // Mostrar los datos en la consola
        //                            Console.WriteLine($"ID: {idJoueur}, Nickname: {jouPseudo}, Score: {jouNombrePoints}");
        //                        }
        //                    }
        //                    else
        //                    {
        //                        Console.WriteLine("Erreur");
        //                    }
        //                }
        //            }
        //        }
        //        catch (Exception ex)
        //        {
        //            Console.WriteLine("Erreur " );
        //        }
        //    }











            //MySqlConnection connection = new MySqlConnection(connectionString);

            //string sqlQuery = "SELECT * FROM t_joueur";
            //MySqlCommand cmd = new MySqlCommand(sqlQuery, connection);

            //using (MySqlDataReader reader = cmd.ExecuteReader())
            //{
            //    while (reader.Read())
            //    {


            //    }
            //}
        }

        















        /*Méthode pour l'affichage du jeu*/
        static void SpicyInvaders()
        {
            Console.WriteLine("Realizando la acción de la Opción 3");

            Console.CursorVisible = false;



            while (true)
            {
                if (Console.KeyAvailable)
                {
                    ConsoleKeyInfo key = Console.ReadKey();
                    if (key.Key == ConsoleKey.LeftArrow && playerX > 0)
                    {
                        playerX--;
                    }
                    else if (key.Key == ConsoleKey.RightArrow && playerX < Console.WindowWidth)
                    {
                        playerX++;
                    }
                    else if (key.Key == ConsoleKey.Spacebar)
                    {

                    }
                }

                UpdateEnemyPosition();
                Thread.Sleep(15);
                DrawGame();
                Thread.Sleep(125);
            }



        }

        /*Mettre à jour la place de l'ennemi-s*/
        static void UpdateEnemyPosition()
        {
            // Cambiar de dirección al llegar a los bordes
            if (enemyX == Console.WindowWidth -6)
            {
                movingRight = false;
            }
            else if (enemyX == 0)
            {
                movingRight = true;
            }

            // Mover el enemigo
            if (movingRight)
            {
                enemyX++;
            }
            else
            {
                enemyX--;
            }
        }
        /*Dessiner le joueur et l'ennemi*/
        static void DrawGame()
        {
            Console.CursorVisible = false;
            Console.Clear();

            for (int y = 0; y < 12; y++)
            {
                for (int x = 0; x < Console.WindowWidth; x++)
                {
                    if (y == playerY && x == playerX)
                    {
                        Console.Write("▲");
                    }
                    else if (x == enemyX && y == enemyY)
                    {
                        Console.Write(" ■");
                        Console.Write(" ■");
                        Console.Write(" ■");

                    }
                    else
                    {
                        Console.Write(" ");
                    }
                }

            }
        }




    }
}
